Author Topic: Help needed with Tunercard KNC1  (Read 558 times)

kalios

  • Newbie
  • *
  • Posts: 14
    • View Profile
Help needed with Tunercard KNC1
« on: March 15, 2012, 05:20:20 pm »
I'm having some issues with a KNC1 dvb-c card here is the lcpci -v

03:02.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
        Subsystem: KNC One Device 0028
        Flags: bus master, medium devsel, latency 32, IRQ 3
        Memory at febffc00 (32-bit, non-prefetchable) [size=512]
        Kernel modules: snd-aw2

Interestingly enough the snd-aw2 is on the modules blacklist. (As stated within google searches. causes problems with loading correct module)

I've been following the V4L installation guide

git clone git://linuxtv.org/media_build.git
cd media_build
./build
make

although upon running ./build im receiving this error

Unsupported Kernel version 2.6.27-17-generic at ./patches_for_kernel.pl line 58.
Version 2.6.27-17-generic not supported

I did a quick install install of lmce 10.04 on a spare harddrive and the tuner card worked after an easy v4l install.


does anyone have any ideas on what could do to get it working on 8.10?
Ive also tried updating the kernel to 2.6.32

Thanks for your thoughts/time






tschak909

  • LinuxMCE God
  • ****
  • Posts: 5498
  • DOES work for LinuxMCE.
    • View Profile
Re: Help needed with Tunercard KNC1
« Reply #1 on: March 19, 2012, 10:46:56 pm »
You may want to cut to the chase, and use LinuxMCE 10.04, it might prove easier for you in this case.

-Thom